import socket

class Participant:
    def __init__(self, ipAddress, port):
        self.buffer = bytearray(256)
        self.ipAddress = ipAddress
        self.port = port
        self.udpSocket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
        self.udpSocket.bind(("0.0.0.0", 7681))
    
    def SendBuffer(self, bufferSize):
        if self.ipAddress is None:
            return False
        
        if bufferSize <= 0:
            return True
        
        self.udpSocket.sendto(self.buffer[:bufferSize], (self.ipAddress, self.port))
        return True